net.sourceforge.pmd.lang.dfa.report

## Class ViolationNodeTest

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.report.ViolationNodeTest

    public final class ViolationNodeTest
    extends Object

Author:
  Philip Graf

### Constructor Summary

Constructors
Constructor and Description
`ViolationNodeTest()`

### Method Summary

Methods
`void` `testEqualsNodeWithTwoDifferentViolationsDifferentBeginColumn()` Verifies that two violations nodes with different `beginColumn` are not equal.
`void` `testEqualsNodeWithTwoDifferentViolationsDifferentBeginLine()` Verifies that two violations nodes with different `beginLine` are not equal.
`void` `testEqualsNodeWithTwoDifferentViolationsDifferentEndColumn()` Verifies that two violations nodes with different `endColumn` are not equal.
`void` `testEqualsNodeWithTwoDifferentViolationsDifferentEndLine()` Verifies that two violations nodes with different `endLine` are not equal.
`void` `testEqualsNodeWithTwoDifferentViolationsDifferentFilename()` Verifies that two violations nodes with different `filename` are not equal.
`void` `testEqualsNodeWithTwoDifferentViolationsDifferentVariableName()` Verifies that two violations with different `variableName` are not equal.
`void` `testEqualsNodeWithTwoEqualViolations()` Verifies that two violations nodes with equal `filename, beginLine, endLine, beginColumn, endColumn` and `variableName` are equal.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViolationNodeTest

    public ViolationNodeTest()

### Method Detail

#### testEqualsNodeWithTwoEqualViolations

    public void testEqualsNodeWithTwoEqualViolations()

Verifies that two violations nodes with equal `filename, beginLine, endLine, beginColumn, endColumn` and `variableName` are equal.

#### testEqualsNodeWithTwoDifferentViolationsDifferentFilename

    public void testEqualsNodeWithTwoDifferentViolationsDifferentFilename()

Verifies that two violations nodes with different `filename` are not equal.

#### testEqualsNodeWithTwoDifferentViolationsDifferentBeginLine

    public void testEqualsNodeWithTwoDifferentViolationsDifferentBeginLine()

Verifies that two violations nodes with different `beginLine` are not equal.

#### testEqualsNodeWithTwoDifferentViolationsDifferentEndLine

    public void testEqualsNodeWithTwoDifferentViolationsDifferentEndLine()

Verifies that two violations nodes with different `endLine` are not equal.

#### testEqualsNodeWithTwoDifferentViolationsDifferentBeginColumn

    public void testEqualsNodeWithTwoDifferentViolationsDifferentBeginColumn()

Verifies that two violations nodes with different `beginColumn` are not equal.

#### testEqualsNodeWithTwoDifferentViolationsDifferentEndColumn

    public void testEqualsNodeWithTwoDifferentViolationsDifferentEndColumn()

Verifies that two violations nodes with different `endColumn` are not equal.

#### testEqualsNodeWithTwoDifferentViolationsDifferentVariableName

    public void testEqualsNodeWithTwoDifferentViolationsDifferentVariableName()

Verifies that two violations with different `variableName` are not equal.